## org.apache.poi.hssf.record
Class UncalcedRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.UncalcedRecord

    public final class UncalcedRecord

extends StandardRecord

Title: Uncalced Record

If this record occurs in the Worksheet Substream, it indicates that the formulas have not been recalculated before the document was saved.

Author:
  Olivier Leprince

Field Summary
`static short` `sid`

Constructor Summary
`UncalcedRecord()`
`UncalcedRecord(RecordInputStream in)`

Method Summary
`protected int` `getDataSize()`
`short` `getSid()` return the non static version of the id for this record.
`static int` `getStaticRecordSize()`
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### UncalcedRecord

    public UncalcedRecord()

### UncalcedRecord

    public UncalcedRecord(RecordInputStream in)

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getStaticRecordSize

    public static int getStaticRecordSize()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.